List Files
curl --request GET \
--url https://api.meshapi.ai/v1/files \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.meshapi.ai/v1/files"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.meshapi.ai/v1/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"files": [
{
"file_id": "file_01JZ0S3N6M8ZQ8DGK9VY1R2H3T",
"upload_status": "uploaded",
"file_name": "project_proposal.pdf",
"file_type": "pdf",
"mime_type": "application/pdf",
"status": "ready",
"size_bytes": 245760,
"asset_url": "gs://meshapi-uploads/file_01JZ0S3N6M8ZQ8DGK9VY1R2H3T/project_proposal.pdf",
"signed_url": null,
"signed_url_expires_at": null,
"embedding_status": "completed",
"created_at": "2026-07-02T10:15:30Z",
"updated_at": "2026-07-02T10:16:05Z",
"total_tokens": 640,
"total_cost_usd": 0.00008,
"last_error_code": null
}
],
"total": 1,
"limit": 20,
"offset": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}RAG
List Files
GET
/
v1
/
files
List Files
Authorizations
Enter your MeshAPI key (rsk_...) — sent as Authorization: Bearer <key>.
Query Parameters
Required range:
1 <= x <= 200Required range:
x >= 0⌘I